import initReplicationStateTable from './init-replication-state-table';

const setReplicationPaused = async (pool, pause) => {
  const {
    executeQuery,
    escapeId
  } = pool;
  const replicationStateTableName = await initReplicationStateTable(pool);
  await executeQuery(`UPDATE ${escapeId(replicationStateTableName)} 
    SET "IsPaused" = ${pause ? 1 : 0}`);
};

export default setReplicationPaused;
//# sourceMappingURL=set-replication-paused.js.map